﻿using System;
using Niche.GroupInspector.Presentation;
using NUnit.Framework;
using Rhino.Mocks;

namespace Niche.GroupInspector.Tests
{
    [TestFixture]
    public class ActiveDirectoryGroupModelTests
    {
        [SetUp]
        public void SetUp()
        {
            mRepository = new MockRepository();
        }

        [Test]
        public void Constructor_missingProvider_throwsException()
        {
            Assert.Throws<ArgumentNullException>(
                () => new ActiveDirectoryGroupModel(null));
        }

        [Test]
        public void Constructor_givenProvider_setsProperty()
        {
            var provider = mRepository.DynamicMock<IApplicationSystemProvider>();
            var model = new ActiveDirectoryGroupModel(provider);
            Assert.That(model.Provider, Is.EqualTo(provider));
        }

        private MockRepository mRepository;
    }
}
