﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Niche.GroupInspector.Domain
{
    public class ApplicationSystem
    {
        /// <summary>
        /// Gets or sets the name of the application system
        /// </summary>
        public string Name
        {
            get
            {
                return mName;
            }

            set
            {
                mName = value;
            }
        }

        /// <summary>
        /// Gets or sets the sequence of Access groups that make up this system
        /// </summary>
        public IEnumerable<AccessGroup> Groups
        {
            get
            {
                return mGroups;
            }

            set
            {
                mGroups = new List<AccessGroup>(value);
            }
        }

        public ApplicationSystem()
        {
            // Nothing
        }

        private string mName;

        private List<AccessGroup> mGroups = new List<AccessGroup>();
    }
}