﻿using Niche.GroupInspector.Domain;

namespace Niche.GroupInspector.Presentation
{
    /// <summary>
    /// Public functionality of this Presenter
    /// </summary>
    public interface IGroupInspectorPresenter
    {
        /// <summary>
        /// Configure our View for initial display
        /// </summary>
        void InitializeView();

        /// <summary>
        /// Select the passed Application system
        /// </summary>
        /// <param name="system">Application system to select</param>
        void SelectApplicationSystem(ApplicationSystem system);

        /// <summary>
        /// Configure our view to display a particular style
        /// </summary>
        /// <param name="viewStyle">Style of view to configure</param>
        void SetViewStyle(ViewStyle viewStyle);

        /// <summary>
        /// Configure our view to display in a particular order
        /// </summary>
        /// <param name="viewOrder">Specify the order of display</param>
        void SetOrder(ViewOrder viewOrder);
    }
}